from logilab.common.testlib import TestCase, unittest_main

def f():
    g()

def g():
    int(s1)


def h(x):
    return i(x)

def i(x):
    check(x)

def check(x):
    assert x <= 3

class Foo(TestCase):
    def test_1(self):
        f()
        self.assertRaises(ValueError, f)

    def setUp(self):
        print 'setup'

    def test_2(self):
        for x in xrange(5):
            yield h, x

    def tearDown(self):
        print 'teardown'
